<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// las funciones o arriba del todo o abajo del todo
		
		function funcion1(){
			/**
			*	document.write("Hola clase"); 
		    *    cuando el html está cargada, ejecuta el dw
	        *    y crea un html nuevo por eso desaparece todo		
			**/
			document.querySelector("#salida").innerHTML+="Hola clase ";
			// operador contraído para evitar concatenar
  		}



	</script>
</head>
<body>
	<script type="text/javascript">
		document.write("<div>hola</div>");
	</script>

	<div onclick="funcion1()">
		Adios
	</div>

	<div id="salida">
		
	</div>
</body>
</html>